﻿using BizService;
using BlankApp1.Models;
using Model.Entities;
using Prism.Regions;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static System.Windows.Forms.VisualStyles.VisualStyleElement;

namespace BlankApp1.ViewModels
{
    public class TreeMenuViewModel
    {
        public List<MenuItemModel> Menus { get; set; } = new List<MenuItemModel>();

        // 列表，没有树型结构
        private List<Model.Entities.Menu> origMenus = null;


        IRegionManager _regionManager;
        public TreeMenuViewModel(IRegionManager regionManager, IMenuService menuService)
        {
            _regionManager = regionManager;
            // 需要获取菜单数据
            origMenus = menuService.QueryList(); ;

            this.FillMenus(Menus, 0);
        }

        public  string EscapeUnicode( string str)  // 将字符串编码为unicode转义序列(\uxxxx)
        {
            StringBuilder tmp = new StringBuilder();
            for (int i = 0; i < str.Length; i++)
            {
                ushort uxc = (ushort)str[i];
                tmp.Append(@"\u" + uxc.ToString("x4"));
            }
            return (tmp.ToString());
        }

        public static string String2Unicode(string source)
        {
            var bytes = Encoding.Unicode.GetBytes(source);
            var stringBuilder = new StringBuilder();
            for (var i = 0; i < bytes.Length; i += 2)
            {
                stringBuilder.AppendFormat("\\u{0:x2}{1:x2}", bytes[i + 1], bytes[i]);
            }
            return stringBuilder.ToString();
        }

        ///递归
        ///
        private void FillMenus(List<MenuItemModel> menus, int parentId)
        {
            var sub = origMenus.Where(m => m.ParentId == parentId).OrderBy(o => o.Index);

            if (sub.Count() > 0)
            {
                foreach (var item in sub)
                {
                

                    string icon = string.Empty;
                 
                    if (!string.IsNullOrEmpty(item.MenuIcon))
                    {
                        switch(item.MenuIcon)
                        {
                            case "e62d":
                                icon = "\ue62d";break;
                            case "e60e":
                                icon = "\ue60e"; break;
                            case "e60c":
                                icon = "\ue60c"; break;
                            case "e600":
                                icon = "\ue600"; break;

                        }
                       
                    }
                    
                    MenuItemModel mm = new MenuItemModel(_regionManager)
                    {
                        MenuHeader = item.MenuHeader,
                        MenuIcon =icon,
                        TargetView = item.TargetView
                    };
                    menus.Add(mm);

                    FillMenus(mm.Children = new List<MenuItemModel>(), item.MenuId);
                }
            }
        }
    }
}
