﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("biz_test_record_dtl")]
    public partial class biz_test_record_dtl
    {
           public biz_test_record_dtl(){


           }
           /// <summary>
           /// Desc:测试记录明细表主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long record_dtl_id {get;set;}

           /// <summary>
           /// Desc:测试记录表主键ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public long? record_id {get;set;}

           /// <summary>
           /// Desc:测试方案明细主键ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public long scheme_dtl_id {get;set;}

           /// <summary>
           /// Desc:开始测试时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? start_test_time {get;set;}

           /// <summary>
           /// Desc:测试完成时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? finish_test_time {get;set;}


        /// <summary>
        /// Desc:测试项前置结果
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(IsJson = true)]
        public object precondition_final { get; set; }

        /// <summary>
        /// Desc:测试项输入项结果
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(IsJson = true)]
        public object action_final { get; set; }


        /// <summary>
        /// Desc:结果项结果
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(IsJson = true)]
        public object judgement_result_final { get; set; }
        /// <summary>
        /// 测试模式
        /// </summary>
        public string test_mode { get; set; }
        /// <summary>
        /// Desc:测试项结果。0：NO 不通过；1：YES 通过
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int? test_result {get;set;}

           /// <summary>
           /// Desc:测试记录明细状态。0：未测试。99：已测试。
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? status {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string create_by {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? create_time {get;set;}

           /// <summary>
           /// Desc:更新者
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string update_by {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? update_time {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string remark {get;set;}

    }
}
